mxHtmlTextShape (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.shape
Class mxHtmlTextShape

    java.lang.Object
      com.mxgraph.shape.mxHtmlTextShape

All Implemented Interfaces:
  mxITextShape

    public class mxHtmlTextShape

extends Object
implements mxITextShape

To set global CSS for all HTML labels, use the following code:

     mxGraphics2DCanvas.putTextShape(mxGraphics2DCanvas.TEXT_SHAPE_HTML,
       new mxHtmlTextShape()
       {
         protected String createHtmlDocument(Map style, String text)
         {
           return mxUtils.createHtmlDocument(style, text, 1, 0,
               "");
         }
       }
     );

Field Summary
`protected boolean` | `replaceHtmlLinefeeds` Specifies if linefeeds should be replaced with breaks in HTML markup.

Constructor Summary
`mxHtmlTextShape()`

Method Summary
`protected String` | `createHtmlDocument(Map<String,Object> style, String text)`
`boolean` | `isReplaceHtmlLinefeeds()` Returns replaceHtmlLinefeeds
`void` | `paintShape(mxGraphics2DCanvas canvas, String text, mxCellState state, Map<String,Object> style)`
`void` | `setReplaceHtmlLinefeeds(boolean value)` Returns replaceHtmlLinefeeds

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### replaceHtmlLinefeeds

    protected boolean replaceHtmlLinefeeds

  Specifies if linefeeds should be replaced with breaks in HTML markup. Default is true.

Constructor Detail

### mxHtmlTextShape

    public mxHtmlTextShape()

Method Detail

### isReplaceHtmlLinefeeds

    public boolean isReplaceHtmlLinefeeds()

  Returns replaceHtmlLinefeeds

### setReplaceHtmlLinefeeds

    public void setReplaceHtmlLinefeeds(boolean value)

  Returns replaceHtmlLinefeeds

### createHtmlDocument

    protected String createHtmlDocument(Map<String,Object> style,
                                        String text)

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           String text,
                           mxCellState state,
                           Map<String,Object> style)

  Specified by:
    `paintShape` in interface `mxITextShape`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.